package com.gic.haoban.manage.api.enums.content;

/**
 * @Author MUSI
 * @Date 2023/3/29 2:00 PM
 * @Description
 * @Version
 * 素材分享记录 枚举
 **/
public enum MaterialInteractRecordEventType {

    VISIT_MATERIAL(1, "浏览了你%s分享的%s"),
    VISIT_PRODUCT(2, "浏览了你%s分享的%s，并查看了%s商品"),
    ORDER(3, "浏览了你%s分享的%s，并购买了商品"),
    ADD_SHOPPING_CART(4, "浏览你%s分享的%s，并加入了购物车");

    MaterialInteractRecordEventType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }


    public static MaterialInteractRecordEventType getInstance(Integer code) {
        if (code == null) {
            return null;
        }
        for (MaterialInteractRecordEventType value : values()) {
            if (value.code.equals(code)) {
                return value;
            }
        }
        return null;
    }
    private Integer code;
    private String desc;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

}
